# Tcl package index file, version 1.0

proc LoadBLT { version dir } {

    set prefix ""
    set suffix [info sharedlibextension]
    regsub {\.} $version {} version_no_dots

    # Determine whether to load the full BLT library or
    # the "lite" tcl-only version.
    
    if { [info commands tk] == "tk" } {
        set name ${prefix}BLT${version_no_dots}${suffix}
    } else {
        set name ${prefix}BLTlite${version_no_dots}${suffix}
    }
    
    global tcl_platform
	set library [file join $dir $name]
    load $library BLT
}

set version "2.4"

package ifneeded BLT $version [list LoadBLT $version $dir]
# End of package index file
